Bug 472872 - The evolution crashed when select "Download messages for offline" in Microsoft exchange account
The evolution crashed when select "Download messages for offline" in Microsof...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution (Show other bugs)
5.2.z
i386 Linux
medium Severity medium
: rc
: ---
Assigned To: Milan Crha
desktop-bugs@redhat.com
:
Depends On:
Blocks: 489869
  Show dependency treegraph
 
Reported: 2008-11-25 04:48 EST by Golita Yue
Modified: 2009-09-02 05:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 489869 (view as bug list)
Environment:
Last Closed: 2009-09-02 05:16:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crash file (22.00 KB, text/plain)
2008-11-25 05:06 EST, Golita Yue
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 474118 None None None Never

  None (edit)
Description Golita Yue 2008-11-25 04:48:29 EST
Description of problem:
The evolution crashed when select "Download messages for offline" in Microsoft exchange account

Version-Release number of selected component (if applicable):
evolution-2.12.3-8.el5_2.3

How reproducible:
every time

Steps to Reproduce:
1. Launch Evolution
2. Select File > Download messages for offline
  
Actual results:
evolution crashed.

Expected results:
it could download all messages to local

Additional info:
attached crash file
Comment 1 Golita Yue 2008-11-25 05:06:22 EST
Created attachment 324574 [details]
crash file
Comment 2 Golita Yue 2008-11-26 21:36:58 EST
This error can be reproduced in evolution-2.12.3-8.el5_2.2.i386
Comment 3 Matthew Barnes 2009-02-12 15:06:13 EST
It's a casting error.  I believe we have an upstream fix for this.

Proposing for 5.4.
Comment 4 Milan Crha 2009-03-12 08:25:55 EDT
Corresponding upstream bug with patches:
http://bugzilla.gnome.org/show_bug.cgi?id=474118
Comment 7 zhanghaiyan 2009-06-09 02:52:34 EDT
The bug can not be reproduced on RHEL5.4 with below packages:
evolution-2.12.3-18.el5
evolution-data-server-1.12.3-17.el5
evolution-connector-2.12.3-10.el5
Comment 9 errata-xmlrpc 2009-09-02 05:16:19 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1260.html

Note You need to log in before you can comment on or make changes to this bug.